Множественные уязвимости в Drupal 6.x

Дата публикации:
11.07.2008
Дата изменения:
11.07.2008
Всего просмотров:
1616
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Внедрение в сессию пользователя
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Drupal 6.x
Уязвимые версии: Drupal версии до 6.3

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной проверки подлинности входных данных при обработке HTTP запросов. Удаленный пользователь может произвести CSRF атаку.

2. Уязвимость существует из-за ошибки при обработке определенных сессий. Удаленный пользователь может обманом заставить пользователя нажать на специально сформированную ссылку и внедриться в сессию авторизованного пользователя.

3. Уязвимость существует из-за недостаточной обработки входных данных в числовых полях в Schema API. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: drupal.org

Решение: Установите последнюю версию 6.3 с сайта производителя.

или введите имя

CAPTCHA